org.eclipse.microprofile.openapi.tck

## Class AirlinesAppTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase
    - - org.eclipse.microprofile.openapi.tck.AirlinesAppTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class AirlinesAppTest
    extends AppTestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`AirlinesAppTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testAPIResponse(String type)`
`void` `testAPIResponses(String type)`
`void` `testCallbackAnnotations(String type)`
`void` `testCallbackOperationAnnotations(String type)`
`void` `testComponents(String type)`
`void` `testContact(String type)`
`void` `testContentExampleAttribute(String type)`
`void` `testContentInAPIResponse(String type)`
`void` `testContentInParameter(String type)`
`void` `testContentInRequestBody(String type)`
`void` `testEncodingRequestBody(String type)`
`void` `testEncodingResponses(String type)`
`void` `testExampleObject(String type)`
`void` `testExplode(String type)`
`void` `testExtensionParsing(String type)`
`void` `testExternalDocumentation(String type)`
`void` `testHeaderInAPIResponse(String type)`
`void` `testHeaderInComponents(String type)`
`void` `testHeaderInEncoding(String type)`
`void` `testInfo(String type)`
`void` `testLicense(String type)`
`void` `testLink(String type)`
`void` `testLinkParameter(String type)`
`void` `testOAuthFlow(String type)`
`void` `testOAuthFlows(String type)`
`void` `testOAuthScope(String type)`
`void` `testOperationAirlinesResource(String type)`
`void` `testOperationAvailabilityResource(String type)`
`void` `testOperationBookingResource(String type)`
`void` `testOperationReviewResource(String type)`
`void` `testOperationUserResource(String type)`
`void` `testParameter(String type)`
`void` `testRefHeaderInAPIResponse(String type)`
`void` `testRefHeaderInEncoding(String type)`
`void` `testRequestBodyAnnotations(String type)`
`void` `testRestClientNotPickedUp(String type)`
`void` `testSchema(String type)`
`void` `testSecurityRequirement(String type)`
`void` `testSecurityScheme(String type)`
`void` `testSecuritySchemes(String type)`
`void` `testServer(String type)`
`void` `testStaticFileDefinitions(String type)`
`void` `testTagDeclarations(String type)`
`void` `testTagsInOperations(String type)`
`void` `testVersion(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, provide, setUp`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirlinesAppTest

    public AirlinesAppTest()

### Method Detail

#### createDeployment

    @Deployment(name="airlines")
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testVersion

    @RunAsClient
    public void testVersion(String type)

#### testInfo

    @RunAsClient
    public void testInfo(String type)

#### testContact

    @RunAsClient
    public void testContact(String type)

#### testLicense

    @RunAsClient
    public void testLicense(String type)

#### testExternalDocumentation

    @RunAsClient
    public void testExternalDocumentation(String type)

#### testServer

    @RunAsClient
    public void testServer(String type)

#### testOperationAirlinesResource

    @RunAsClient
    public void testOperationAirlinesResource(String type)

#### testOperationAvailabilityResource

    @RunAsClient
    public void testOperationAvailabilityResource(String type)

#### testRestClientNotPickedUp

    @RunAsClient
    public void testRestClientNotPickedUp(String type)

#### testOperationBookingResource

    @RunAsClient
    public void testOperationBookingResource(String type)

#### testOperationReviewResource

    @RunAsClient
    public void testOperationReviewResource(String type)

#### testOperationUserResource

    @RunAsClient
    public void testOperationUserResource(String type)

#### testAPIResponse

    @RunAsClient
    public void testAPIResponse(String type)

#### testAPIResponses

    @RunAsClient
    public void testAPIResponses(String type)

#### testParameter

    @RunAsClient
    public void testParameter(String type)

#### testExplode

    @RunAsClient
    public void testExplode(String type)

#### testCallbackAnnotations

    @RunAsClient
    public void testCallbackAnnotations(String type)

#### testCallbackOperationAnnotations

    @RunAsClient
    public void testCallbackOperationAnnotations(String type)

#### testRequestBodyAnnotations

    @RunAsClient
    public void testRequestBodyAnnotations(String type)

#### testSecurityRequirement

    @RunAsClient
    public void testSecurityRequirement(String type)

#### testSecuritySchemes

    @RunAsClient
    public void testSecuritySchemes(String type)

#### testSecurityScheme

    @RunAsClient
    public void testSecurityScheme(String type)

#### testOAuthFlows

    @RunAsClient
    public void testOAuthFlows(String type)

#### testOAuthFlow

    @RunAsClient
    public void testOAuthFlow(String type)

#### testOAuthScope

    @RunAsClient
    public void testOAuthScope(String type)

#### testEncodingRequestBody

    @RunAsClient
    public void testEncodingRequestBody(String type)

#### testEncodingResponses

    @RunAsClient
    public void testEncodingResponses(String type)

#### testLink

    @RunAsClient
    public void testLink(String type)

#### testLinkParameter

    @RunAsClient
    public void testLinkParameter(String type)

#### testSchema

    @RunAsClient
    public void testSchema(String type)

#### testExampleObject

    @RunAsClient
    public void testExampleObject(String type)

#### testContentExampleAttribute

    @RunAsClient
    public void testContentExampleAttribute(String type)

#### testTagDeclarations

    @RunAsClient
    public void testTagDeclarations(String type)

#### testTagsInOperations

    @RunAsClient
    public void testTagsInOperations(String type)

#### testComponents

    @RunAsClient
    public void testComponents(String type)

#### testHeaderInAPIResponse

    @RunAsClient
    public void testHeaderInAPIResponse(String type)

#### testHeaderInEncoding

    @RunAsClient
    public void testHeaderInEncoding(String type)

#### testRefHeaderInAPIResponse

    @RunAsClient
    public void testRefHeaderInAPIResponse(String type)

#### testRefHeaderInEncoding

    @RunAsClient
    public void testRefHeaderInEncoding(String type)

#### testHeaderInComponents

    @RunAsClient
    public void testHeaderInComponents(String type)

#### testContentInAPIResponse

    @RunAsClient
    public void testContentInAPIResponse(String type)

#### testContentInRequestBody

    @RunAsClient
    public void testContentInRequestBody(String type)

#### testContentInParameter

    @RunAsClient
    public void testContentInParameter(String type)

#### testStaticFileDefinitions

    @RunAsClient
    public void testStaticFileDefinitions(String type)

#### testExtensionParsing

    @RunAsClient
    public void testExtensionParsing(String type)